idb_shim 1.4.0
idb_shim: ^1.4.0 copied to clipboard

outdatedDart 2 incompatible

indexed_db dart polyfill over native, websql, file io or memory implementation

1.3.6 #

  • Add IdbFactory.cmp

1.3.5 #

  • Simulate multistore transaction on Safari

1.3.3 #

  • Add support for import/export (sembast export format)
  • Fix timing to mimic IE limitation
  • Add workaround for transaction bug in sdk 1.13

1.3.2 #

  • Fix implementation for IE/Edge where the transaction life-cycle is shorter

1.3.1 #

  • Add support for ObjectStore.deleteIndex

1.2.1 #

  • Fix openCursor for Index that included null key before (sembast)
  • Travis test integration

1.0.0 #

  • Initial revision
10
likes
0
pub points
93%
popularity

Publisher

tekartik.com

indexed_db dart polyfill over native, websql, file io or memory implementation

Homepage

License

unknown (LICENSE)

Dependencies

collection, path, sembast

More

Packages that depend on idb_shim